tunelp(8)

NOMBRE
tunelp - establece varios parámetros para el dispositivo lp

SINOPSIS
tunelp <dispositivo> [-i <IRQ> | -t <TIEMPO> | -c <CARS> | -w <ESPERA> | -a [on|off] | -o [on|off] | -C [on|off] | -r | -s | -q [on|off] ]

DESCRIPCIÓN
tunelp establece varios parámetros para los dispositivos /dev/lp?, para mejorar el rendimiento (o para cualquier rendimiento, si su impresora no habrá de funcionar sin esto...). Sin parámetros, dice si el dispositivo está empleando interrupciones, y si es así, cuál. Con parámetros, establece las características del dispositivo de acuerdo con ellos. Los parámetros son como sigue:

-i <IRQ> es la línea de interrupciones o IRQ a emplear para el puerto paralelo en cuestión. Si se pone a un número distinto de cero, -t y -c no tienen efecto. Si su puerto no emplea interrupciones, esta opción hará que la impresión se detenga. tunelp -i 0 restaura la acción de dirección sin interrupciones (sondeo), y su impresora debería funcionar de nuevo. Si su puerto paralelo sí admite interrupciones, la impresión dirigida por interrupciones debería ser algo más rápida y eficiente, y probablemente será lo más deseable.

-t <TIEMPO> es la cantidad de tiempo en pulsos de reloj (``jiffies'', consulte el Jargon en el sistema Info si lo tiene instalado) que el controlador espera si la impresora no toma un carácter durante el número de intentos dictados por el parámetro -c. El valor predeterminado es 10. Si quiere la impresión lo más rápida posible, y no le importa cargar el sistema, puede poner este valor a 0. Si por contra no le importa cuánto tarde en imprimir su impresora, o está imprimiendo texto en una impresora lenta con un búfer, entonces un valor de 500 (5 segundos) podría ir bien, y la carga del sistema será mínima. Este valor generalmente debería ser más bajo para imprimir gráficos que para texto, por un factor de 10, para el mejor rendimiento.

-c <CARS> es el número de veces que hay que intentar sacar un carácter por la impresora antes de dormir durante un tiempo dado por -t <TIEMPO>. Es el número de veces que se ejecuta un bucle que intenta enviar un carácter a la impresora. 120 parece ser un buen valor para la mayoría de impresoras. 250 es el valor predeterminado, porque hay algunas impresoras que requieren esperar este tiempo, pero siéntase libre para cambiarlo. Si tiene una impresora muy rápida, como una HP LaserJet 4, un valor de 10 puede tener más sentido. Si tiene una impresora realmente vieja, puede incrementar este valor más.

Poner -t <TIEMPO> a 0 es equivalente a poner -c <CARS> a infinito.

-w <ESPERA> es el valor de un contador de bucle ocupado para la señal estroboscópica. Mientras que algunas impresoras parecen ser capaces de lidiar con una señal estroboscópica extremadamente corta, algunas otras impresoras demandan una más grande. Incrementar esto desde el valor predeterminado, que es 0, puede hacer posible imprimir con estas impresoras. Esto también puede hacer posible emplear cables más largos.

-a [on|off] Esto indica si hay que parar abruptamente el trabajo de impresión en curso si hay un error de la impresora; el valor predeterminado es off; o sea, que no. Si Ud. está sentado enfrente de su computadora, probablemente quiera ser capaz de ver un error y corregirlo, y que la impresora siga trabajando. Por otra parte, si no está cerca del sistema, puede desear mejor que su sistema de impresión encuentre que la impresora no está lista, abandone los intentos de impresión, y le envíe una carta electrónica sobre eso. La elección es suya.

-o [on|off] Esta opción es muy parecida a la de antes, -a. Hace que cualquier open() a este dispositivo mire si el dispositivo está enchufado y no informa de falta de papel o de otros errores. Esto es el establecimiento correcto para la mayoría de versiones de lpd.

-C [on|off] Esta opción añade comprobaciones de error extra (la ce es de "Cuidadoso"). Cuando esta opción está a "on", o sea, activada, el controlador de impresora se asegurará de que la impresora esté enchufada y encendida y no informe de falta de papel o de otros errores antes de enviar datos. Esto es particularmente útil para impresoras que normalmente van y aceptan datos cuando están apagadas.

-s Esta opción devuelve el estado actual de la impresora, tanto como un número en base diez desde 0 a 255, como una lista de opciones activas. Cuando se especifica esta opción, se entiende -q off, o sea, que se desactiva el mostrar la IRQ actual.

-o, -C y -s requieren todos un núcleo de Linux con número de versión 1.1.76 ó posterior.

-r Esta opción pone el puerto en su estado inicial. Requiere un núcleo de Linux versión 1.1.80 ó superior.

-q [on|off] Esta opción hace que se muestre o no la línea de IRQ actual.